package net.wanji.web.service;

import net.wanji.web.bo.AddSpecialServiceBO;
import net.wanji.web.bo.IsValidPointBO;
import net.wanji.web.bo.SpecialServiceRouteBO;
import net.wanji.web.vo.RouteElementVO;
import net.wanji.web.vo.specialService.*;

import java.util.List;
import java.util.Set;

/**
 * @author Kent HAN
 * @date 2022/11/8 11:06
 */
public interface SpecialServiceService {
    void addSpecialService(AddSpecialServiceBO addSpecialServiceBO);

    List<ListSpecialServicesVO> listSpecialServices();

    void updateSpecialService(UpdateSpecialServiceInVO updateSpecialServiceInVO);

    void deleteSpecialService(Integer id);

    void updateCross(UpdateCrossInVO updateCrossInVO);

    void deleteCross(DeleteCrossInVO deleteCrossInVO);

    Set<String> crossInList(String crossId);

    List<List<RouteElementVO>> specialServiceRoute(SpecialServiceRouteBO specialServiceRouteBO);

    void isValidPoint(IsValidPointBO isValidPointBO);
}
